package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.WmsChange;
import com.yunfeiyun.agmp.fms.domain.reqvo.WmsChangeReqVo;
import com.yunfeiyun.agmp.fms.domain.resvo.WmsChangeResVo;

import java.util.List;


/**
 * 变动Service接口
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public interface IWmsChangeService 
{
    /**
     * 查询变动
     * 
     * @param changeId 变动主键
     * @return 变动
     */
    public WmsChange selectWmsChangeByChangeId(String changeId);

    /**
     * 查询变动列表
     * 
     * @param wmsChange 变动
     * @return 变动集合
     */
    public List<WmsChange> selectWmsChangeList(WmsChange wmsChange);

    /**
     * 农产品出入库记录
     * @param reqVo
     * @return
     */
    public List<WmsChangeResVo> selectWmsChangeListOfFinishGoods(WmsChangeReqVo reqVo);

    /**
     * 新增变动
     * 
     * @param wmsChange 变动
     * @return 结果
     */
    public int insertWmsChange(WmsChange wmsChange);

    /**
     * 修改变动
     * 
     * @param wmsChange 变动
     * @return 结果
     */
    public int updateWmsChange(WmsChange wmsChange);

    /**
     * 批量删除变动
     * 
     * @param changeIds 需要删除的变动主键集合
     * @return 结果
     */
    public int deleteWmsChangeByChangeIds(String[] changeIds);

    /**
     * 删除变动信息
     * 
     * @param changeId 变动主键
     * @return 结果
     */
    public int deleteWmsChangeByChangeId(String changeId);
}
